---
name: GradientIconButton
route: /Buttons/GradientIconButton
menu: Buttons
---

import { Playground, PropsTable } from 'docz'
import { Alert } from 'react-native'
import { GradientIconButton } from '../../src'
import { colors } from '@barcard/functions'

## GradientIconButton

## About

Action button with both gradient colors and an icon.

## Basic Usage

<Playground>
  <GradientIconButton
    iconColors={[colors.teal, colors.pink]}
    iconName={'person'}
    iconType={'material'}
    size={14}
    color={colors.white}
  />
</Playground>

## Properties

<PropsTable of={GradientIconButton} includeDescription={true} />
